Angular and Ionic Rating Rating for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Rating for Angular and Ionic Framework

light
dark

Change the theme setting here

Rating - Basic usage

Change demo

Rating - Text description

Change demo

Rating - Grades

Change demo

Rating - Grades with text

Change demo

Rating - Customizing options

Change demo

Rating - Custom colors

Change demo
Custom colors
1234 save

Rating - Custom Icons

Change demo

Rating - Slider

Change demo
Slider
import { mobiscroll } from './app.module';

@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})

export class AppComponent {
    formSetting = {
        theme: ' ',
        themeVariant: ' '
    };

    data = [{
        name: "Barry Lyon",
        tel: "(202) 555-0193",
        work: "Chief Technology Officer",
        img: "mr1.png",
        rating: 3
    }, {
        name: "Hortense Tinker",
        tel: "(202) 555-0193",
        work: "Network Engineer",
        img: "mrs1.png",
        rating: 4
    }, {
        name: "Arlene Sharman",
        tel: "(202) 555-0193",
        work: "Certified Personal Trainer",
        img: "mrs2.png",
        rating: 2
    }, {
        name: "Angelica Geary",
        tel: "(202) 555-0193",
        work: "Designer",
        img: "mrs3.png",
        rating: 5
    }, {
        name: "Carl Hambledon",
        tel: "(202) 555-0193",
        work: "Java developer",
        img: "mr2.png",
        rating: 4
    }, {
        name: "Lowell Christophers",
        tel: "(202) 555-0193",
        work: "Frontend developer",
        img: "mr3.png",
        rating: 1
    }];

    mobiscrollSettings = {
        theme: ' ',
        themeVariant: ' ',
        display: 'inline',
        cssClass: 'md-slide-rating',
        rows: 1,
        height: 50,
        readonly: true,
        showText: false,
        showLabel: false,
        mousewheel: false,
        minWidth: 215,
        values: [0, 1, 2, 3, 4, 5],
        onMarkupReady: function (event, inst) {
            var left,
                width,
                pos,
                moving,
                newVal,
                starsCont,
                currentVal = inst.getVal(),
                getCoord = mobiscroll.util.getCoord;

            function setVal(ev) {
                pos = getCoord(ev, 'X') - left;
                newVal = Math.max(0, Math.min(Math.ceil(pos * 5 / width), 5));

                if (newVal != currentVal) {
                    currentVal = newVal;
                    inst.setVal(newVal, true);
                }
            }

            function onStart(ev) {
                if (!moving) {
                    moving = true;
                    left = this.getBoundingClientRect().left + this.scrollTop - this.clientLeft;
                    width = this.offsetWidth;
                    setVal(ev);

                    if (ev.type == 'mousedown') {
                        document.addEventListener('mousemove', onMove);
                        document.addEventListener('mouseup', onEnd);
                    }
                }
            }

            function onMove(ev) {
                if (moving) {
                    setVal(ev);
                }
            }

            function onEnd(ev) {
                moving = false;

                if (ev.type == 'mouseup') {
                    document.removeEventListener('mousemove', onMove);
                    document.removeEventListener('mouseup', onEnd);
                }
            }

            starsCont = event.target.querySelector('.mbsc-sc-whl-sc');

            starsCont.addEventListener('touchstart', onStart);
            starsCont.addEventListener('mousedown', onStart);
            starsCont.addEventListener('touchmove', onMove);
            starsCont.addEventListener('touchend', onEnd);
        }
    };

}
<mbsc-form class="md-rating-slider" [options]="formSetting">

    <div class="md-contact" *ngFor=" let item of data; let i = index">
        <img src="/Content/img/demos/{{item.img}}" />
        <h4>{{item.name}}</h4>
        <h6>{{item.work}}r</h6>
        <h6>{{item.tel}}</h6>

        <div class="md-rating">
            <input [(ngModel)]="item.rating" type="hidden" class="mobiscroll" mbsc-rating [mbsc-options]="mobiscrollSettings" />
        </div>
    </div>

</mbsc-form>
.demo-slider {
    padding: 0 !important;
}

.md-rating-slider {
    display: inline-block;
    width: 100%;
}

.md-slide-rating {
    display: inline-block;
    vertical-align: middle;
}

.md-rating-slider .md-slide-rating .mbsc-fr-w {
    font-size: 14px;
    min-width: 10em;
}

.md-rating-slider .md-rating .md-slide-rating .mbsc-sc-itm {
    text-align: center;
}

.md-rating-slider .md-slide-rating .mbsc-fr-w .mbsc-rating-icon {
    font-size: 20px;
}

.md-rating-slider .mbsc-ios.mbsc-fr-inline .mbsc-sc-whl-gr-3d .mbsc-sc-whl-c {
    background: transparent;
}

.md-slide-rating .mbsc-fr-w,
.md-slide-rating .mbsc-sc-whl-gr,
.md-slide-rating .mbsc-sc-whl-gr-c,
.md-slide-rating .mbsc-fr-c,
.md-slide-rating .mbsc-fr-w,
.md-slide-rating .mbsc-sc-whl-w {
    border: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    background: none !important;
    box-shadow: none !important;
}

.md-slide-rating .mbsc-sc-whl-o,
.md-slide-rating .mbsc-sc-whl-l {
    display: none !important;
}

.md-contact {
    position: relative;
    display: block;
    height: 152px;
    border-radius: 2px;
    background: #fafafa;
    text-align: left;
    padding: 8px 8px 8px 151px;
    color: #000;
    margin: 15px 10px;
    -webkit-box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    -moz-box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    -webkit-box-sizing: content-box;
    -mox-box-sizing: content-box;
    box-sizing: content-box;
}


/*.demo-theme-wp-light .md-contact,*/

.demo-theme-wp:not(.demo-theme-wp-light) .md-contact,
.demo-theme-android .md-contactc,
.demo-theme-android-holo:not(.demo-theme-android-holo-light) .md-contact,
.demo-theme-mobiscroll-dark .md-contact,
.demo-theme-material-dark .md-contact,
.demo-theme-ios-dark .md-contact {
    background: #212121;
    color: #fff;
    -webkit-box-shadow: 0px 0px 1px 1px rgba(60, 60, 60, .9);
    box-shadow: 0px 0px 1px 1px rgba(60, 60, 60, .9);
}

.demo-theme-ios-dark .md-rating-slider .md-rating,
.demo-theme-material-dark .md-rating-slider .md-rating,
.demo-theme-mobiscroll-dark .md-rating-slider .md-rating,
.demo-theme-android-holo:not(.demo-theme-android-holo-light) .md-rating-slider .md-rating,
.demo-theme-mobiscroll-dark .md-rating-slider .md-ratingt,
.demo-theme-wp:not(.demo-theme-wp-light) .md-rating-slider .md-rating {
    border-color: #333;
}

.md-contact img {
    position: absolute;
    top: 0;
    left: 0;
    width: 135px;
    height: 100%;
    z-index: 1;
}

.md-rating-slider .md-contact h4,
.md-rating-slider .md-contact h6 {
    margin: 7px 0;
}

.md-rating-slider .md-rating {
    position: absolute;
    bottom: 0;
    border-top: 1px solid #ccc;
    width: 100%;
    left: 0;
    display: inline-block;
    text-align: right;
}


/* WP theme overrides */

.md-slide-rating.mbsc-wp .mbsc-sc-itm {
    border: 0 !important;
    background: none !important;
}


/* 2x overrides */

.md-rating-slider .md-slide-rating .dwwr {
    font-size: 14px;
    min-width: 10em;
}

.md-rating-slider .md-rating .md-slide-rating .dw-i {
    text-align: center;
}

.md-rating-slider .md-slide-rating .dwwr .mbsc-rating-icon {
    font-size: 20px;
}

.md-slide-rating .dwwr,
.md-slide-rating .dwfl,
.md-slide-rating .dwwc,
.md-slide-rating .dwwl,
.md-slide-rating .dwc,
.md-slide-rating .dww,
.md-slide-rating .dw {
    border: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    background: none !important;
    box-shadow: none !important;
}

.md-slide-rating .dwwo,
.md-slide-rating .dwwol {
    display: none !important;
}


/* Sense theme overrides */

.md-slide-rating.mbsc-sense .dww {
    height: 50px !important;
}

.md-slide-rating.mbsc-sense .dw-ul {
    margin: 0 !important;
}


/* WP theme overrides */

.md-slide-rating.mbsc-wp .dw-i {
    border: 0 !important;
    background: none !important;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Rating - Score slider

Change demo
Score slider
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Rating - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Rating - Display modes

Change demo

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Rating Rating for React

You are looking at v3 demos, switch to Mobiscroll 4?

Rating for React

light
dark

Change the theme setting here

Rating - Basic usage

Change demo
Basic usage
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */

Rating - Text description

Change demo
Text description

Rating - Grades

Change demo

Rating - Grades with text

Change demo
Grades with text

Rating - Customizing options

Change demo
Customizing options

Rating - Custom colors

Change demo
Custom colors
1234 save

Rating - Custom Icons

Change demo
Custom Icons

Rating - Slider

Change demo
Slider
var RatingDemo = React.createClass({
    getInitialState: function(){
        return {
            settings: {
                display: 'inline',
                cssClass: 'md-slide-rating',
                rows: 1,
                height: 50,
                readonly: true,
                showText: false,
                showLabel: false,
                minWidth: 215,
                defaultValue: 3,
                values: [0, 1, 2, 3, 4, 5],
                onMarkupReady: function (event, inst) {
                    var left,
                        width,
                        pos,
                        moving,
                        newVal,
                        starsCont,
                        currentVal = inst.getVal(),
                        getCoord = mobiscroll.util.getCoord;

                    function setVal(ev) {
                        pos = getCoord(ev, 'X') - left;
                        newVal = Math.max(0, Math.min(Math.ceil(pos * 5 / width), 5));

                        if (newVal != currentVal) {
                            currentVal = newVal;
                            inst.setVal(newVal, true);
                        }
                    }

                    function onStart(ev) {
                        if (!moving) {
                            moving = true;
                            left = this.getBoundingClientRect().left + this.scrollTop - this.clientLeft;
                            width = this.offsetWidth;
                            setVal(ev);

                            if (ev.type == 'mousedown') {
                                document.addEventListener('mousemove', onMove);
                                document.addEventListener('mouseup', onEnd);
                            }
                        }
                    }

                    function onMove(ev) {
                        if (moving) {
                            setVal(ev);
                        }
                    }

                    function onEnd(ev) {
                        moving = false;

                        if (ev.type == 'mouseup') {
                            document.removeEventListener('mousemove', onMove);
                            document.removeEventListener('mouseup', onEnd);
                        }
                    }

                    starsCont = event.target.querySelector('.mbsc-sc-whl-sc');

                    starsCont.addEventListener('touchstart', onStart);
                    starsCont.addEventListener('mousedown', onStart);
                    starsCont.addEventListener('touchmove', onMove);
                    starsCont.addEventListener('touchend', onEnd);
                }
            }
        };
    },
    render: function() {
        return (
            <div className="md-slider">
                <div className="md-rating-slider">
                    <div className="md-contact">
                        <img src="/Content/img/demos/mr1.png" />
                        <h4>Barry Lyon</h4>
                        <h6>Chief Technology Officer</h6>
                        <h6>(202) 555-0193</h6>
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="5"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                    </div>
                    <div className="md-contact">
                        <img src="/Content/img/demos/mrs1.png" />
                        <h4>Hortense Tinker</h4>
                        <h6>Network Engineer</h6>
                        <h6>(202) 555-0127</h6>
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="3"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                    </div>
    				<div className="md-contact">
                        <img src="/Content/img/demos/mrs2.png" />
                        <h4>Arlene Sharman</h4>
                        <h6>Certified Personal Trainer</h6>
                        <h6>(202) 555-0190</h6>
    
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="4"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                     </div>
                    
                    <div className="md-contact">
                        <img src="/Content/img/demos/mrs3.png" />
                        <h4>Angelica Geary</h4>
                        <h6>Designer</h6>
                        <h6>(202) 555-0442</h6>
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="4"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                    </div>
                    
                    <div className="md-contact">
                        <img src="/Content/img/demos/mr2.png" />
                        <h4>Carl Hambledon</h4>
                        <h6>Java developer</h6>
                        <h6>(202) 555-0639</h6>
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="4"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                    </div>
                    
                    <div className="md-contact">
                        <img src="/Content/img/demos/mr3.png" />
                        <h4>Lowell Christophers</h4>
                        <h6>Frontend developer</h6>
                        <h6>(202) 555-0354</h6>
                        <div className="md-rating">
                            <mobiscroll.Rating
                                theme=" " 
                                themeVariant=" "
                                value="3"
                                type="hidden"
                                options={this.state.settings}
                            />
                        </div>
                    </div>
                </div>
            </div>
        );
    }    
});

<div id="content"></div>
.demo-slider {
    padding: 0 !important;
}

.md-rating-slider {
    display: inline-block;
    width: 100%;
}

.md-slide-rating {
    display: inline-block;
    vertical-align: middle;
}

.md-rating-slider .md-slide-rating .mbsc-fr-w {
    font-size: 14px;
    min-width: 10em;
}

.md-rating-slider .md-rating .md-slide-rating .mbsc-sc-itm {
    text-align: center;
}

.md-rating-slider .md-slide-rating .mbsc-fr-w .mbsc-rating-icon {
    font-size: 20px;
}

.md-rating-slider .mbsc-ios.mbsc-fr-inline .mbsc-sc-whl-gr-3d .mbsc-sc-whl-c {
    background: transparent;
}

.md-slide-rating .mbsc-fr-w,
.md-slide-rating .mbsc-sc-whl-gr,
.md-slide-rating .mbsc-sc-whl-gr-c,
.md-slide-rating .mbsc-fr-c,
.md-slide-rating .mbsc-fr-w,
.md-slide-rating .mbsc-sc-whl-w {
    border: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    background: none !important;
    box-shadow: none !important;
}

.md-slide-rating .mbsc-sc-whl-o,
.md-slide-rating .mbsc-sc-whl-l {
    display: none !important;
}

.md-contact {
    position: relative;
    display: block;
    height: 152px;
    border-radius: 2px;
    background: #fafafa;
    text-align: left;
    padding: 8px 8px 8px 151px;
    color: #000;
    margin: 15px 10px;
    -webkit-box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    -moz-box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    box-shadow: 0px 0px 1px 1px rgba(170, 170, 170, 1);
    -webkit-box-sizing: content-box;
    -mox-box-sizing: content-box;
    box-sizing: content-box;
}


/*.demo-theme-wp-light .md-contact,*/

.demo-theme-wp:not(.demo-theme-wp-light) .md-contact,
.demo-theme-android .md-contactc,
.demo-theme-android-holo:not(.demo-theme-android-holo-light) .md-contact,
.demo-theme-mobiscroll-dark .md-contact,
.demo-theme-material-dark .md-contact,
.demo-theme-ios-dark .md-contact {
    background: #212121;
    color: #fff;
    -webkit-box-shadow: 0px 0px 1px 1px rgba(60, 60, 60, .9);
    box-shadow: 0px 0px 1px 1px rgba(60, 60, 60, .9);
}

.demo-theme-ios-dark .md-rating-slider .md-rating,
.demo-theme-material-dark .md-rating-slider .md-rating,
.demo-theme-mobiscroll-dark .md-rating-slider .md-rating,
.demo-theme-android-holo:not(.demo-theme-android-holo-light) .md-rating-slider .md-rating,
.demo-theme-mobiscroll-dark .md-rating-slider .md-ratingt,
.demo-theme-wp:not(.demo-theme-wp-light) .md-rating-slider .md-rating {
    border-color: #333;
}

.md-contact img {
    position: absolute;
    top: 0;
    left: 0;
    width: 135px;
    height: 100%;
    z-index: 1;
}

.md-rating-slider .md-contact h4,
.md-rating-slider .md-contact h6 {
    margin: 7px 0;
}

.md-rating-slider .md-rating {
    position: absolute;
    bottom: 0;
    border-top: 1px solid #ccc;
    width: 100%;
    left: 0;
    display: inline-block;
    text-align: right;
}


/* WP theme overrides */

.md-slide-rating.mbsc-wp .mbsc-sc-itm {
    border: 0 !important;
    background: none !important;
}


/* 2x overrides */

.md-rating-slider .md-slide-rating .dwwr {
    font-size: 14px;
    min-width: 10em;
}

.md-rating-slider .md-rating .md-slide-rating .dw-i {
    text-align: center;
}

.md-rating-slider .md-slide-rating .dwwr .mbsc-rating-icon {
    font-size: 20px;
}

.md-slide-rating .dwwr,
.md-slide-rating .dwfl,
.md-slide-rating .dwwc,
.md-slide-rating .dwwl,
.md-slide-rating .dwc,
.md-slide-rating .dww,
.md-slide-rating .dw {
    border: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    background: none !important;
    box-shadow: none !important;
}

.md-slide-rating .dwwo,
.md-slide-rating .dwwol {
    display: none !important;
}


/* Sense theme overrides */

.md-slide-rating.mbsc-sense .dww {
    height: 50px !important;
}

.md-slide-rating.mbsc-sense .dw-ul {
    margin: 0 !important;
}


/* WP theme overrides */

.md-slide-rating.mbsc-wp .dw-i {
    border: 0 !important;
    background: none !important;
}

Rating - Score slider

Change demo
Score slider

Rating - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Rating - Display modes

Change demo
Display modes

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos